GNU logs - #49855, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49855: Problem with GNU ELPA build of :core package (Re: [GNU ELPA] So-Long version 1.1)
Resent-From: Phil Sainty <psainty@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 04 Aug 2021 00:18:01 +0000
Resent-Message-ID: <handler.49855.B.162803625317072 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 49855
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 49855 <at> debbugs.gnu.org
Cc: monnier@HIDDEN
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.162803625317072
          (code B ref -1); Wed, 04 Aug 2021 00:18:01 +0000
Received: (at submit) by debbugs.gnu.org; 4 Aug 2021 00:17:33 +0000
Received: from localhost ([127.0.0.1]:41817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mB4bE-0004RH-Qu
	for submit <at> debbugs.gnu.org; Tue, 03 Aug 2021 20:17:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:48852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1mB4bE-0004RA-0t
 for submit <at> debbugs.gnu.org; Tue, 03 Aug 2021 20:17:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49586)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <psainty@HIDDEN>)
 id 1mB4bD-0008Mn-Nx
 for bug-gnu-emacs@HIDDEN; Tue, 03 Aug 2021 20:17:31 -0400
Received: from smtp-3.orcon.net.nz ([60.234.4.44]:55295)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <psainty@HIDDEN>)
 id 1mB4bA-0005Jb-Sl
 for bug-gnu-emacs@HIDDEN; Tue, 03 Aug 2021 20:17:31 -0400
Received: from [10.253.37.70] (port=56886 helo=webmail.orcon.net.nz)
 by smtp-3.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1mB4b6-0006Bv-AH; Wed, 04 Aug 2021 12:17:24 +1200
Received: from ip-116-251-162-85.kinect.net.nz ([116.251.162.85])
 via [10.253.37.253] by webmail.orcon.net.nz
 with HTTP (HTTP/1.1 POST); Wed, 04 Aug 2021 12:17:23 +1200
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Wed, 04 Aug 2021 12:17:23 +1200
From: Phil Sainty <psainty@HIDDEN>
In-Reply-To: <85czqu2qdw.fsf@HIDDEN>
References: <85czqu2qdw.fsf@HIDDEN>
Message-ID: <2d94e1d983f91e0322747a86e7a6bcc9@HIDDEN>
X-Sender: psainty@HIDDEN
User-Agent: Orcon Webmail
X-GeoIP: --
Received-SPF: pass client-ip=60.234.4.44; envelope-from=psainty@HIDDEN;
 helo=smtp-3.orcon.net.nz
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Yesterday I merged[1] so-long v1.1 to the Emacs master branch, and
per the GNU ELPA config[2] I subsequently got a notification email
to say that v1.1 was now on ELPA too; but I've noticed that the
ELPA version is wrong -- the tar file provided at the ELPA page[3]
does not contain the same version that is in Emacs.

It looks like it's taken one of the new commits and made a build
from that, but it's not the revision from the merge, so it's
missing many of the changes.

[1] 
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3a56d4eea93e2fe832021a0685e2d9fe5bbd034b
[2] 
https://git.savannah.gnu.org/cgit/emacs/elpa.git/tree/elpa-packages?id=06e26055b3377#n346
[3] https://elpa.gnu.org/packages/so-long.html

Could someone (Stefan?) fix the ELPA version, and see if you can
figure out what went awry here?

I suppose the version may need a bump in case anyone has installed
this already.  Preferably something like 1.1.1 rather than 1.2.


-Phil


On 2021-08-04 09:02, ELPA update wrote:
> Version 1.1 of package So-Long has just been released in GNU ELPA.
> You can now find it in M-x package-list RET.
> 
> So-Long describes itself as:
>   Say farewell to performance problems with minified code.
> 
> More at https://elpa.gnu.org/packages/so-long.html





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Phil Sainty <psainty@HIDDEN>
Subject: bug#49855: Acknowledgement (Problem with GNU ELPA build of :core
 package (Re: [GNU ELPA] So-Long version 1.1))
Message-ID: <handler.49855.B.162803625317072.ack <at> debbugs.gnu.org>
References: <2d94e1d983f91e0322747a86e7a6bcc9@HIDDEN>
X-Gnu-PR-Message: ack 49855
X-Gnu-PR-Package: emacs
Reply-To: 49855 <at> debbugs.gnu.org
Date: Wed, 04 Aug 2021 00:18:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 49855 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
49855: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D49855
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49855: Problem with GNU ELPA build of :core package (Re: [GNU ELPA] So-Long version 1.1)
Resent-From: Phil Sainty <psainty@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 04 Aug 2021 00:40:02 +0000
Resent-Message-ID: <handler.49855.B49855.162803757719124 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49855
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 49855 <at> debbugs.gnu.org
Cc: monnier@HIDDEN
Received: via spool by 49855-submit <at> debbugs.gnu.org id=B49855.162803757719124
          (code B ref 49855); Wed, 04 Aug 2021 00:40:02 +0000
Received: (at 49855) by debbugs.gnu.org; 4 Aug 2021 00:39:37 +0000
Received: from localhost ([127.0.0.1]:41839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mB4wa-0004yN-M7
	for submit <at> debbugs.gnu.org; Tue, 03 Aug 2021 20:39:36 -0400
Received: from smtp-4.orcon.net.nz ([60.234.4.59]:48923)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1mB4wY-0004yF-Sw
 for 49855 <at> debbugs.gnu.org; Tue, 03 Aug 2021 20:39:35 -0400
Received: from [10.253.37.70] (port=41543 helo=webmail.orcon.net.nz)
 by smtp-4.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1mB4wX-0006q0-9E; Wed, 04 Aug 2021 12:39:33 +1200
Received: from ip-116-251-162-85.kinect.net.nz ([116.251.162.85])
 via [10.253.37.253] by webmail.orcon.net.nz
 with HTTP (HTTP/1.1 POST); Wed, 04 Aug 2021 12:39:33 +1200
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Wed, 04 Aug 2021 12:39:33 +1200
From: Phil Sainty <psainty@HIDDEN>
In-Reply-To: <2d94e1d983f91e0322747a86e7a6bcc9@HIDDEN>
References: <85czqu2qdw.fsf@HIDDEN>
 <2d94e1d983f91e0322747a86e7a6bcc9@HIDDEN>
Message-ID: <db34044390d56621d0ed43b6abd838c7@HIDDEN>
X-Sender: psainty@HIDDEN
User-Agent: Orcon Webmail
X-GeoIP: --
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2021-08-04 12:17, Phil Sainty wrote:
> Could someone (Stefan?) fix the ELPA version, and see if you can
> figure out what went awry here?

I now see that it specifically used the commit in which the
version number changed, and ignored everything which followed,
so I understand what happened now.

That didn't gel very well with my workflow (which was to bump
the version before adding new functionality, and then add the
new features (associating each one with the new version as I
went), and finally merge the branch for the completed release).

I'm not sure if ELPA could be made to recognise that scenario,
or if I'll need to ensure that the final commit always includes
a version bump.

I do understand that it's useful to be able to push changes
without changing the version on ELPA, so that you only create
a new release at the time you intend to, so I'm not asking for
every commit to create a new build; just wondering whether it's
possible to account for the branch merge scenario, where the
merge commit was intended to be the version bump commit.

In the meantime I guess I should commit this change to the
Emacs master branch?

-;; Version: 1.1
+;; Version: 1.1.1


-Phil





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49855: Problem with GNU ELPA build of :core package (Re: [GNU ELPA] So-Long version 1.1)
Resent-From: "Basil L. Contovounesios" <contovob@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 04 Aug 2021 01:00:02 +0000
Resent-Message-ID: <handler.49855.B49855.162803877429187 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49855
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Phil Sainty <psainty@HIDDEN>
Cc: 49855 <at> debbugs.gnu.org, monnier@HIDDEN
Received: via spool by 49855-submit <at> debbugs.gnu.org id=B49855.162803877429187
          (code B ref 49855); Wed, 04 Aug 2021 01:00:02 +0000
Received: (at 49855) by debbugs.gnu.org; 4 Aug 2021 00:59:34 +0000
Received: from localhost ([127.0.0.1]:41862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mB5Ft-0007ah-RP
	for submit <at> debbugs.gnu.org; Tue, 03 Aug 2021 20:59:34 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:36659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1mB5Fr-0007aU-0s
 for 49855 <at> debbugs.gnu.org; Tue, 03 Aug 2021 20:59:32 -0400
Received: by mail-wm1-f50.google.com with SMTP id
 o7-20020a05600c5107b0290257f956e02dso2837229wms.1
 for <49855 <at> debbugs.gnu.org>; Tue, 03 Aug 2021 17:59:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=udxUMjj4BVXJ3IxT/NWZBDLueNOTB12QUqrAe0hNeHg=;
 b=VPEiCLa0CoDR9KCTwyd6onhDOy0qfg4UIy4Hxfw/pAtEl/eeTGaCjZXAXO/UF9RTqe
 jxr86ugY/0JIfkjUAAxnxtfgAUQYqEHSJ43DYRZB4RRgrF/mkX9yolXxQPMAijByZsH+
 B33iYqgL4pgjTpViS3dM+AcPcfOinl2MGOOQjwKKpH/t5nYVC+TrZNW6QRln9ksK1vGo
 qx/OANkfj8TChkUkSuFeKcIsaShlZdgrLeCyGDjBProLti8nrE1N7QM5sbgC/MtRlG79
 utWJsOWfjmNikeFqpbFp9V8d/girCvYoBJl6MPwwjzCKfGnMzowUkX5kgKsPY8L7sMHP
 5BSQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=udxUMjj4BVXJ3IxT/NWZBDLueNOTB12QUqrAe0hNeHg=;
 b=LYrFFWgDxILzBzy4N0cUKPAfZTOJtMG2H3OCU3WbYx3xneikrE4N33pNyCwB/vxobY
 YxYI97akwdfMZRmxEeK7N/vYVNU/usAkn2wSTcKrK4TF1jUgiJqOfk/H2ZSJGKcs13St
 JhTXsQVUAuv55evQb5+pkrVCFhvumSte2dczQ45hxB+3e7RLvuSIL1Qwal2/LboWozGA
 InA0qPAbavWPyW6g/R5DNMOsvnsPrEJ49qg0MTGcr5cGoIYy5QmwWF7IxXwdBMvp+G60
 8LE8iaQd7SyV3Ws2iojQrxAQU7lF3sDhDraycB63SXpm4bLX8T+VGCaRlhkET9ZDSLPc
 Z1BQ==
X-Gm-Message-State: AOAM532UwIN8sUFvSZe0lMN9rI3ulagh6KL3SsYb2enIuwweHbf6cTA3
 SuC9OYMZVX8TfAgF+FExXxkf5A==
X-Google-Smtp-Source: ABdhPJwC+1jj+tNNZFpzeQ7zZzKAbup2swDOLa3gwYT3yi5CfQGaj10V4QCn1+Q2Kvhix8BXNfWLsQ==
X-Received: by 2002:a05:600c:cc:: with SMTP id
 u12mr24385621wmm.63.1628038765115; 
 Tue, 03 Aug 2021 17:59:25 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:d15:339e:aa10:60f1])
 by smtp.gmail.com with ESMTPSA id x12sm507850wrt.35.2021.08.03.17.59.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 03 Aug 2021 17:59:24 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
References: <85czqu2qdw.fsf@HIDDEN>
 <2d94e1d983f91e0322747a86e7a6bcc9@HIDDEN>
 <db34044390d56621d0ed43b6abd838c7@HIDDEN>
Date: Wed, 04 Aug 2021 01:59:23 +0100
In-Reply-To: <db34044390d56621d0ed43b6abd838c7@HIDDEN> (Phil
 Sainty's message of "Wed, 04 Aug 2021 12:39:33 +1200")
Message-ID: <87wnp2kot0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Phil Sainty <psainty@HIDDEN> writes:

> On 2021-08-04 12:17, Phil Sainty wrote:
>> Could someone (Stefan?) fix the ELPA version, and see if you can
>> figure out what went awry here?
>
> I now see that it specifically used the commit in which the
> version number changed, and ignored everything which followed,
> so I understand what happened now.
>
> That didn't gel very well with my workflow (which was to bump
> the version before adding new functionality, and then add the
> new features (associating each one with the new version as I
> went), and finally merge the branch for the completed release).
>
> I'm not sure if ELPA could be made to recognise that scenario,
> or if I'll need to ensure that the final commit always includes
> a version bump.
>
> I do understand that it's useful to be able to push changes
> without changing the version on ELPA, so that you only create
> a new release at the time you intend to, so I'm not asking for
> every commit to create a new build; just wondering whether it's
> possible to account for the branch merge scenario, where the
> merge commit was intended to be the version bump commit.

IIUC, something similar was brought up earlier this year:
https://lists.gnu.org/r/emacs-devel/2021-03/msg00490.html

Thanks,

-- 
Basil




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49855: Problem with GNU ELPA build of :core package (Re: [GNU ELPA] So-Long version 1.1)
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 04 Aug 2021 03:25:01 +0000
Resent-Message-ID: <handler.49855.B49855.162804744926884 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49855
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Phil Sainty <psainty@HIDDEN>
Cc: 49855 <at> debbugs.gnu.org
Received: via spool by 49855-submit <at> debbugs.gnu.org id=B49855.162804744926884
          (code B ref 49855); Wed, 04 Aug 2021 03:25:01 +0000
Received: (at 49855) by debbugs.gnu.org; 4 Aug 2021 03:24:09 +0000
Received: from localhost ([127.0.0.1]:42065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mB7Vp-0006zY-4r
	for submit <at> debbugs.gnu.org; Tue, 03 Aug 2021 23:24:09 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:13399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1mB7Vm-0006z1-RK
 for 49855 <at> debbugs.gnu.org; Tue, 03 Aug 2021 23:24:07 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id ACEC61001F3;
 Tue,  3 Aug 2021 23:24:00 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 57854100006;
 Tue,  3 Aug 2021 23:23:58 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1628047438;
 bh=zJzbWHaXXMVyia6mCY1hj6KzjGwCBeX9sG0tiRs4m3Q=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=ZaPl+OPoo5ChDA1ekBgpgQV8GpMPKgqRGPrlOKGBJM/DS6/CqZM39Mc5zpWT4elw+
 4iQ+c7T/4nZ4osgDvd085w+exwxdS9uowQVzKynFm7rifX1Ici53ogs44GBlAn3X55
 tZfjmfvdfnq6DbxrTYmwSA4aG1jDItEV8qmF8metxfZDdShwKXRZGhRGbbPGf5ESip
 fjNt9lweqGo5o5rFHNrqouLGC6IeevI/TrLAbIlSpPikWoK8BEjqsmuTn9N1SzXYFb
 rqexgg0+bBJVFtYaSECuY4hcrRThjECvb8sUkCoPezTnB1p8U32KHX7fPTWEm8Vwgr
 nV6y4zRiaB68A==
Received: from alfajor (unknown [216.154.29.138])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 348DD1201C9;
 Tue,  3 Aug 2021 23:23:58 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvo8adx5fx.fsf-monnier+emacs@HIDDEN>
References: <85czqu2qdw.fsf@HIDDEN>
 <2d94e1d983f91e0322747a86e7a6bcc9@HIDDEN>
 <db34044390d56621d0ed43b6abd838c7@HIDDEN>
Date: Tue, 03 Aug 2021 23:23:51 -0400
In-Reply-To: <db34044390d56621d0ed43b6abd838c7@HIDDEN> (Phil
 Sainty's message of "Wed, 04 Aug 2021 12:39:33 +1200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.094 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> That didn't gel very well with my workflow (which was to bump
> the version before adding new functionality, and then add the
> new features (associating each one with the new version as I
> went), and finally merge the branch for the completed release).

What I can suggest in that case is to do:

1- bump the version from `AA.BB` to `CC.DD-git`
2- hack hack hack
3- when done, bump the version from `CC.DD-git` to `CC.DD`


        Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49855: Problem with GNU ELPA build of :core package (Re: [GNU ELPA] So-Long version 1.1)
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 04 Aug 2021 08:12:01 +0000
Resent-Message-ID: <handler.49855.B49855.16280646681309 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49855
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Phil Sainty <psainty@HIDDEN>
Cc: 49855 <at> debbugs.gnu.org, monnier@HIDDEN
Received: via spool by 49855-submit <at> debbugs.gnu.org id=B49855.16280646681309
          (code B ref 49855); Wed, 04 Aug 2021 08:12:01 +0000
Received: (at 49855) by debbugs.gnu.org; 4 Aug 2021 08:11:08 +0000
Received: from localhost ([127.0.0.1]:42614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBBzX-0000L1-GN
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 04:11:07 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mBBzQ-0000KP-2e
 for 49855 <at> debbugs.gnu.org; Wed, 04 Aug 2021 04:11:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=AD2VRgtjAeRb1YI6laS3DcNTX1b/nqRhJzQlnoKGDIk=; b=tLE7b7pftoZ4GozLnnPAXUkY8g
 tvVKog3MSau7tHsjQSgDlBK7IYTYlGzEtZDFYogARV4rcnK69D9jrf7oe9aoc+2LP+GiZc6Cb2xcA
 oc+gdv1cP9Bif/QEnUHBrbsL1/qp7wD6BFQQ6362FF4gCDBu0kiV9/B8QAvjKYE8nmPY=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mBBzF-0005VK-OK; Wed, 04 Aug 2021 10:10:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <85czqu2qdw.fsf@HIDDEN>
 <2d94e1d983f91e0322747a86e7a6bcc9@HIDDEN>
 <db34044390d56621d0ed43b6abd838c7@HIDDEN>
Date: Wed, 04 Aug 2021 10:10:49 +0200
In-Reply-To: <db34044390d56621d0ed43b6abd838c7@HIDDEN> (Phil
 Sainty's message of "Wed, 04 Aug 2021 12:39:33 +1200")
Message-ID: <87czqteik6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Phil Sainty <psainty@HIDDEN> writes: > I do understand
 that it's useful to be able to push changes > without changing the version
 on ELPA, so that you only create > a new release at the time you intend to,
 so I'm not asking for > every c [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Phil Sainty <psainty@HIDDEN> writes:

> I do understand that it's useful to be able to push changes
> without changing the version on ELPA, so that you only create
> a new release at the time you intend to, so I'm not asking for
> every commit to create a new build; just wondering whether it's
> possible to account for the branch merge scenario, where the
> merge commit was intended to be the version bump commit.

I don't really think there's any way to determine the intention here.
The developer may be working in a branch, fix something, bump the
number, fix some more (but doesn't want that to land in ELPA yet), and
then merge, for instance.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Last modified: Wed, 4 Aug 2021 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.